git.shallow breaks usage of tags sometimes
Target version:  Spent time: 0.00 hour

Description

For example the OpenCV project can not be used with tags anymore since adding the shallow and depth parameters.

History

#1 - 2014-11-06 11:55 - Jan Moringen

This may depend on the git version. See #301.

#2 - 2014-11-07 14:22 - Sebastian Meyer zu Borgsen

- Status changed from New to Feedback

- Assignee set to Jan Moringen

I tested it and it really depends on the git version.

Even the --no-single-branch  fixes it for tags as well.

Can that be added manually to the recipe?

#3 - 2014-11-10 14:04 - Jan Moringen

Adding git commandline flags to receipes would basically remove all abstraction. This may still be a sensible option for the current version of the

generator.

For the next version however, we have to solve this properly. I can imagine making a table of combinations for git version, what to clone (master,

branch, tag), limited history length and restriction to a single branch and then trying to find working git invocations for all cases.

#4 - 2015-05-31 10:13 - Robert Haschke

According to the git docs the following combination of options should do the job:

--branch <desired tag or branch> --depth 1 --single-branch

Actually, both the build-generator and jenkins should use this options to reduce network traffic.

It took me 30mins to build-gen the flobidev distribution at home!

Also, when processing multiple recipes with "sub-directory" logic, build-generator should only clone the repo once...

Best example: flobidev distribution
http://git-scm.com/docs/git-clone


#5 - 2015-08-12 17:58 - Lars Schillingmann

This is a very important issue. Testing today revealed that the current shallow variable "git.shallow?": true has no effect. I second Roberts concerns.

Additionally, this issue relates to the caching feature, which is also very important to e.g. efficiently test projects complex configuration options.

#6 - 2015-08-26 09:26 - Florian Lier

bump

#7 - 2016-06-22 13:20 - Jan Moringen

- Status changed from Feedback to Resolved

- % Done changed from 0 to 100

Robert Haschke wrote:

According to the git docs the following combination of options should do the job:

--branch <desired tag or branch> --depth 1 --single-branch

Actually, both the build-generator and jenkins should use this options to reduce network traffic.

It took me 30mins to build-gen the flobidev distribution at home!

 

The caching mechanism addresses this, although in a different manner.

Also, when processing multiple recipes with "sub-directory" logic, build-generator should only clone the repo once...

Best example: flobidev distribution

 

Likewise.

Please discuss remaining problems in new issues.
